server {
    root /app/dist;
    index index.html index.htm;

    server_name localhost;

    location ~* \.(js|css|png|jpg|jpeg|gif|ico)$ {
        expires 1w;
    }

    location / {
        try_files $uri $uri/ @root;
    }

    location @root {
        rewrite .* / redirect;
    }
}
